Update Order

Updates B2B information on a specific order based on the `bcOrderId` provided. The `bcOrderId` parameter must include a valid BigCommerce Order ID (**not** the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful. You must also include at least one of the following fields in the request body: - `poNumber` - `extraFields` (array with `fieldName` and `fieldValue`) - This array must be included if your store has required order extra fields.

Authentication

X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

bcOrderIdintegerRequired
The BigCommerce order ID.

Request

This endpoint expects an object.
poNumberstringOptional

The order’s Purchase Order (PO), if used.

extraFieldslist of anyOptional
Contains extra field information associated with the order.

Response

OK
codeinteger
HTTP Response Code
datalist of objects
messagestringDefaults to SUCCESS

Errors

404
Not Found Error
422
Unprocessable Entity Error